import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
import type { DeesAppui } from '@design.estate/dees-catalog';
import './index.js';
declare global {
    interface HTMLElementTagNameMap {
        'sz-demo-view-settings': SzDemoViewSettings;
    }
}
export declare class SzDemoViewSettings extends DeesElement {
    private appui;
    onActivate(context: {
        appui: DeesAppui;
        viewId: string;
    }): Promise<void>;
    onDeactivate(): void;
    private demoSettings;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
}
